### Function

# Vips RefString new

#### Declaration [src]

    VipsRefString*
    vips_ref_string_new (
      const char* str
    )

#### Description [src]

Create a new refstring. These are reference-counted immutable strings, used to store string data in vips image metadata.

Strings must be valid utf-8; use blob for binary data.

See also

`vips_area_unref()`.

#### Parameters

`str`

  Type: `const char*`

  String to store.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsRefString`

The new `VipsRefString`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.